Post by ideep13 » Mon Jun 25, 2018 11:10 pm

I'm having a fatal error with google base feed. Can please someone explain to em what is wrong? I would like to connect my opencart store with google merchant, but I keep getting error. I have O.C. 2.3.0.2.
Fatal error: Uncaught Exception: Error: Table 'databasename_main.oc_google_base_category_to_category' doesn't exist<br />Error No: 1146<br />SELECT google_base_category_id, (SELECT name FROM `oc_google_base_category` gbc WHERE gbc.google_base_category_id = gbc2c.google_base_category_id) AS google_base_category, category_id, (SELECT name FROM `oc_category_description` cd WHERE cd.category_id = gbc2c.category_id AND cd.language_id = '1') AS category FROM `oc_google_base_category_to_category` gbc2c ORDER BY google_base_category ASC in /home/databasename/public_html/system/library/db/mysqli.php:40 Stack trace: #0 /home/databasename/public_html/system/storage/modification/system/library/db.php(16): DB\MySQLi->query('SELECT google_b...', Array) #1 /home/databasename/public_html/XXXXXXX(ADMIN)/model/extension/feed/google_base.php(87): DB->query('SELECT google_b...') #2 /home/databasename/public_html/vqmod/vqcache/vq2-system_storage_modification_system_engine_loader.php(207): ModelExtensionFeedGoogleBase->getCategories(0, 10) #3 /home/databasename/public_ht in /home/databasename/public_html/system/library/db/mysqli.php on line 40

User avatar
New member

Posts

Joined
Mon Jun 18, 2012 2:47 am

Post by straightlight » Tue Jun 26, 2018 12:53 am

Fatal error: Uncaught Exception: Error: Table 'databasename_main.oc_google_base_category_to_category' doesn't exist
As per the error describes, the database table: google_base_category_to_category table does not exist.

The most generated errors being found on Opencart forum originates from contributed programming.

Regards,
Straightlight


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by ideep13 » Tue Jun 26, 2018 2:10 am

Could you advise me what to do next? Do I need to create that table or it should already been there?

I've got OC updated from 1.5.6. to 2.3.0.2 from someone, and this error was already there for almost a year when it was first updated.. but now I want to fix that because of the google shopping .. how should I proceed? Any of the help is much appreciated.

User avatar
New member

Posts

Joined
Mon Jun 18, 2012 2:47 am

Post by ideep13 » Tue Jun 26, 2018 2:16 am

Nevermind, I already find the solution. Uninstall Google base and install it again, import the plain.txt from Google and voila.. - viewtopic.php?t=157072

User avatar
New member

Posts

Joined
Mon Jun 18, 2012 2:47 am
Who is online

Users browsing this forum: No registered users and 2 guests